# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/2to3
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           harris
Version:        0.4.1
Release:        alt1_3
Summary:        A strategy game based around the actions of RAF Bomber Command during WW2
Group:          Games/Strategy
License:        GPLv3+
URL:            https://github.com/ec429/harris
Source0:        https://github.com/ec429/harris/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         harris-0.4.1-mga-nowerror.patch
Patch1:         harris-0.4.1-mga-python3.patch
Patch2:         harris-0.4.1-add-missed-dep.patch

BuildRequires:  libatg-devel
BuildRequires:  ImageMagick-tools
BuildRequires:  libtool
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_gfx)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  python3 python3-tools
Source44: import.info

%description
Harris is a strategy game based around the actions of RAF Bomber Command
in the Second World War. In Harris, you take on the role of the
Commander-in-Chief of Bomber Command, tasked with launching bombing raids
against Nazi Germany. It is your responsibility to take the war to the enemy
and destroy their capacity and will to wage war.

%prep
%setup -q
2to3 --write --nobackups --no-diffs .
sed -i -e '1s/python2/python3/' *py stats/*py
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build

%make_build PREFIX=%{_prefix}

%install
%makeinstall_std PREFIX=%{_prefix}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps
convert art/icon.bmp %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Harris
Comment=Second World War strategy game
Exec=%{_gamesbindir}/harris
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;StrategyGame;
EOF

%files
%doc HOWTOPLAY README STRATEGY
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/32x32/apps/%{name}.png


%changelog
* Fri Feb 10 2023 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt1_3
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.4.1-alt1_2
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_1
- update by mgaimport

* Thu Jan 31 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_0.20160830.4
- update by mgaimport

* Wed Nov 02 2016 Cronbuild Service <cronbuild@altlinux.org> 0.2.4-alt2_2
- rebuild to get rid of unmets

* Tue Jun 14 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_2
- converted for ALT Linux by srpmconvert tools

